using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Ika.Graphics;
using Microsoft.Xna.Framework.Graphics;

namespace TestBoids.Entities
{
    public class LevelEntity : Entity
    {

        int m_level;
        public int Level
        {
            get { return m_level; }
            set { m_level = value; }

        }

        Color m_cTop, m_cBot;
        public Color cTop
        {
            get { return m_cTop; }
            set { m_cTop = value; }
        }
        public Color cBot
        {
            get { return m_cBot; }
            set { m_cBot = value; }
        }

        public LevelEntity(Vector2 position, Sprite sprite, int level)
            : base(position, sprite, 0.0f)
        {
            m_level = level;

        }

        public override void Update(float dt)
        {
            if (Collision != null)
                Collision.UpdatePosition(Position);

        }
    }
}
